%global pypi_name readme_renderer

Summary:        Safely render long_description/README files in Warehouse
Name:           python-readme-renderer
Version:        37.3
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/pypa/readme_renderer
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools

BuildArch:      noarch

%description
Readme Renderer is a library that will safely render arbitrary
README files into HTML. It is designed to be used in Warehouse
to render the long_description for packages. It can handle
Markdown, reStructuredText (.rst), and plain text.

%package -n     python3-readme-renderer
Summary:        Safely render long_description/README files in Warehouse

%description -n python3-readme-renderer
Readme Renderer is a library that will safely render arbitrary
README files into HTML. It is designed to be used in Warehouse
to render the long_description for packages. It can handle
Markdown, reStructuredText (.rst), and plain text.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
%generate_buildrequires
%pyproject_buildrequires -t
 
%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v tests -k "not test_rst_fixtures"

%files -n python3-readme-renderer -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 37.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 37.3-1
- initial build
